## NAME

r.composite - Converts three user-specified raster map layers into a composite RGB layer.
(GRASS Raster Program)

## SYNOPSIS

r.composite
r.composite help
r.composite [-o] [-d] [-c] r_map=name g_map=name b_map=name [levels=value] [lev_r=value] [lev_g=value] [lev_b=value] output=name

## DESCRIPTION

This program combines three raster map layers to form a composite RGB layer. For each layer, the corresponding component from the layer's color table is used (e.g. for the red layer, the red component is used, and so on). In general, the layers should use a gray-scale color table.

## OPTIONS

### Flags:

-o
  Overwrite output maps.
-d
  Dither.
-c
  Use closest color.

### Parameters:

r_map=name
  Name of raster map layer to be used for RED component.
g_map=name
  Name of raster map layer to be used for GREEN component.
b_map=name
  Name of raster map layer to be used for BLUE component.
levels=value
  Number of levels to use for each component (default 32), except where overridden by the appropriate lev_[rgb] parameter.
lev_r=value
  Number of levels to use for the RED component (overrides the levels parameter).
lev_g=value
  Number of levels to use for the GREEN component (overrides the levels parameter).
lev_b=value
  Number of levels to use for the BLUE component (overrides the levels parameter).
output=name
  Name of raster map to contain results

## NOTES

The default number of intensity levels for each component is 32, resulting in a total of 32768 possible colors (equivalent to 15 bits per pixel). If significantly more levels than this are used, not only will r.composite take longer to run, but displaying the resulting layer with d.rast will also be significantly slower.

Floyd-Steinberg dithering is optionally used.

## SEE ALSO

d.rast
d.rgb
r.colors
i.composite

## AUTHOR

Glynn Clements

Last changed: $Date: 2003/08/25 07:49:30 $